Bug 158061 - New ports: net-im/sofia-sip and net-im/telepathy-sofiasip for SIP telephony
New ports: net-im/sofia-sip and net-im/telepathy-sofiasip for SIP telephony
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Koop Mast
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-20 06:40 UTC by yuri
Modified: 2013-05-13 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (11.67 KB, patch)
2011-06-20 06:40 UTC, yuri
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yuri 2011-06-20 06:40:05 UTC
These ports add SIP protocol library (sofia-sip) and SIP telepathy plugin (telepathy-sofiasip).

empathy IM client automatically picks senses the presence of telepathy-sofiasip and adds SIP to the list of available protocols.

telepathy and empathy ports and maybe some other ports should add the build option of using sofia-sip.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-06-20 06:40:24 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Koop Mast freebsd_committer 2011-06-23 14:43:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

grab
Comment 3 kwm 2011-06-28 17:49:17 UTC
Hello,

I got some comments.

The first one is that the pkg-descr of telepathy-sofiasip seems to be 
the same as sofia-sip. Could you supply a new one that is correct for 
telepathy-sofiasip?

Also LIB_PC_DEPENDS isn't used by the port system. If you want to use it 
you have to put it yourself in standard _DEPENDS lines.

If your adding RUN_ and BUILD_ depends see if it is possible to add a 
LIB_DEPENDS line. It implies both.
However if you want to depend on glib20 just add "USE_GNOME=glib20". You 
also might want to add gnomehack to the USE_GNOME line, to put the .pc 
files into the right directory (libdata/pkgconfig, not lib/pkgconfig).

You don't have to specify CONFIGURE_ARGS+=--prefix=${PREFIX} it is done 
automaticly so you can get rid of that line.
Also to want to pass -I/usr/local/include you should pass it as 
"CPPFLAGS= -I${LOCALBASE}/include" not hardcode it to 
/usr/local/include. Note that CPPFLAGS shouldn't be put in CONFIGURE_ENV 
anymore. But since your haven't added a LDFLAGS="${LOCALBASE}/lib" I 
have a feeling it isn't needed.

Plist should be sorted, with the @dirrm(tr) stuff at the end.

I could fix all of these point myself, but I feel that I can teach you 
some things about how ports are done. Fix most of these issues and post 
a new patch in the follow up.

-Koop
Comment 4 Koop Mast freebsd_committer 2011-06-29 14:40:42 UTC
State Changed
From-To: open->feedback

Asking submitter for feedback.
Comment 5 Koop Mast freebsd_committer 2013-05-13 14:25:52 UTC
State Changed
From-To: feedback->closed

Committed telepathy-sofiasip only, since net/sofia-sip already exists. 
Thanks!
Comment 6 dfilter freebsd_committer 2013-05-13 14:26:44 UTC
Author: kwm
Date: Mon May 13 13:25:37 2013
New Revision: 318078
URL: http://svnweb.freebsd.org/changeset/ports/318078

Log:
  Add telepathy-sofiasip port. SIP telepathy plugin using the SIP protocol
  library (net/sofia-sip)
  
  PR:		ports/158061
  Submitted by:	Yuri <yuri@tsoft.com>

Added:
  head/net-im/telepathy-sofiasip/
  head/net-im/telepathy-sofiasip/Makefile   (contents, props changed)
  head/net-im/telepathy-sofiasip/distinfo   (contents, props changed)
  head/net-im/telepathy-sofiasip/pkg-descr   (contents, props changed)
  head/net-im/telepathy-sofiasip/pkg-plist   (contents, props changed)
Modified:
  head/net-im/Makefile

Modified: head/net-im/Makefile
==============================================================================
--- head/net-im/Makefile	Mon May 13 13:22:54 2013	(r318077)
+++ head/net-im/Makefile	Mon May 13 13:25:37 2013	(r318078)
@@ -180,6 +180,7 @@
     SUBDIR += telepathy-qt
     SUBDIR += telepathy-qt4
     SUBDIR += telepathy-salut
+    SUBDIR += telepathy-sofiasip
     SUBDIR += tkabber
     SUBDIR += tkabber-devel
     SUBDIR += tkabber-plugins

Added: head/net-im/telepathy-sofiasip/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/telepathy-sofiasip/Makefile	Mon May 13 13:25:37 2013	(r318078)
@@ -0,0 +1,22 @@
+# Created by: Yuri <yuri@tsoft.com>
+# $FreeBSD$
+
+PORTNAME=	telepathy-sofiasip
+PORTVERSION=	0.4.5
+CATEGORIES=	net-im
+MASTER_SITES=	SF/tp-sofiasip/${PORTNAME}/${PORTVERSION}
+
+MAINTAINER=	yuri@tsoft.com
+COMMENT=	SIP (sofia-sip) Connection Manager for Telepathy Framework
+
+LIB_DEPENDS=	sofia-sip-ua:${PORTSDIR}/net/sofia-sip \
+		telepathy-glib:net-im/telepathy-glib \
+		dbus-glib-1:${PORTSDIR}/devel/dbus-glib
+
+GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+USE_OPENSSL=	yes
+USES=		pkgconfig
+USE_GNOME=	glib20
+
+.include <bsd.port.mk>

Added: head/net-im/telepathy-sofiasip/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/telepathy-sofiasip/distinfo	Mon May 13 13:25:37 2013	(r318078)
@@ -0,0 +1,2 @@
+SHA256 (telepathy-sofiasip-0.4.5.tar.gz) = f9baca55d9c5c1ca8f70b2907ec865498081db005bab3a08c952a1e92146bb27
+SIZE (telepathy-sofiasip-0.4.5.tar.gz) = 419746

Added: head/net-im/telepathy-sofiasip/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/telepathy-sofiasip/pkg-descr	Mon May 13 13:25:37 2013	(r318078)
@@ -0,0 +1,8 @@
+Sofia-SIP is an open-source SIP User-Agent library, compliant with the IETF
+RFC3261 specification (see the feature table). It can be used as a building
+block for SIP client software for uses such as VoIP, IM, and many other
+real-time and person-to-person communication services. The primary target
+platform for Sofia-SIP is GNU/Linux. Sofia-SIP is based on a SIP stack
+developed at the Nokia Research Center. Sofia-SIP is licensed under the LGPL.
+
+WWW: http://sofia-sip.sourceforge.net/

Added: head/net-im/telepathy-sofiasip/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/telepathy-sofiasip/pkg-plist	Mon May 13 13:25:37 2013	(r318078)
@@ -0,0 +1,5 @@
+bin/telepathy-sofiasip
+share/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.sofiasip.service
+share/telepathy/managers/sofiasip.manager
+@dirrmtry share/telepathy/managers
+@dirrmtry share/telepathy
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"